Package oracle.jdbc.datasource

## Interface OracleXAConnection

All Superinterfaces:
  `OraclePooledConnection`, `javax.sql.PooledConnection`, `javax.sql.XAConnection`

All Known Implementing Classes:
  `OracleXAConnection`, `OracleXAConnection`, `OracleXAHeteroConnection`

    public interface OracleXAConnection
    extends javax.sql.XAConnection, OraclePooledConnection

This interface defines the Oracle extensions to the standard JDBC interface `XAConnection`.

Since:
  12.2

### Method Summary

### Methods inherited from interface oracle.jdbc.datasource.OraclePooledConnection

`getCallWithKey, getExplicitCachingEnabled, getImplicitCachingEnabled, getLastAccessedTime, getLogicalHandle, getStatementCacheSize, getStatementWithKey, getXAResource, purgeExplicitCache, purgeImplicitCache, registerCloseCallback, registerImplicitCacheConnectionEventListener, setExplicitCachingEnabled, setImplicitCachingEnabled, setLastAccessedTime, setShardingKey, setShardingKeyIfValid, setStatementCacheSize`

### Methods inherited from interface javax.sql.PooledConnection

`addConnectionEventListener, addStatementEventListener, close, getConnection, removeConnectionEventListener, removeStatementEventListener`

### Methods inherited from interface javax.sql.XAConnection

`getXAResource`